# ApplicationFramework
TKLCAF
TDF

# TDF_DataMapIteratorOfLabelIntegerMap Class Reference

`#include <TDF_DataMapIteratorOfLabelIntegerMap.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDF_DataMapIteratorOfLabelIntegerMap ()
Standard_EXPORT | TDF_DataMapIteratorOfLabelIntegerMap (const TDF_LabelIntegerMap &aMap)
Standard_EXPORT void | Initialize (const TDF_LabelIntegerMap &aMap)
Standard_EXPORT const TDF_Label & | Key () const
Standard_EXPORT const Standard_Integer & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT TDF_DataMapIteratorOfLabelIntegerMap::TDF_DataMapIteratorOfLabelIntegerMap | ( |  | ) |

Standard_EXPORT TDF_DataMapIteratorOfLabelIntegerMap::TDF_DataMapIteratorOfLabelIntegerMap | ( | const TDF_LabelIntegerMap & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void TDF_DataMapIteratorOfLabelIntegerMap::Initialize | ( | const TDF_LabelIntegerMap & | aMap | ) |

Standard_EXPORT const TDF_Label& TDF_DataMapIteratorOfLabelIntegerMap::Key | ( |  | ) | const

void TDF_DataMapIteratorOfLabelIntegerMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_DataMapIteratorOfLabelIntegerMap::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_DataMapIteratorOfLabelIntegerMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Standard_Integer& TDF_DataMapIteratorOfLabelIntegerMap::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- TDF_DataMapIteratorOfLabelIntegerMap.hxx